summaryrefslogtreecommitdiffstats
path: root/debian/molly-guard.preinst
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 16:27:32 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 16:27:32 +0000
commitd466f0b2fe1ce833e23a7ad94fe7e7c5806a1503 (patch)
tree93276fbd4a8419784e43c7e1b9a820f28c9a6a20 /debian/molly-guard.preinst
parentAdding upstream version 0.7.2. (diff)
downloadmolly-guard-debian/0.7.2.tar.xz
molly-guard-debian/0.7.2.zip
Adding debian version 0.7.2.debian/0.7.2debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/molly-guard.preinst')
-rwxr-xr-xdebian/molly-guard.preinst47
1 files changed, 47 insertions, 0 deletions
diff --git a/debian/molly-guard.preinst b/debian/molly-guard.preinst
new file mode 100755
index 0000000..6137bac
--- /dev/null
+++ b/debian/molly-guard.preinst
@@ -0,0 +1,47 @@
+#!/bin/sh
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <new-preinst> `install'
+# * <new-preinst> `install' <old-version>
+# * <new-preinst> `upgrade' <old-version>
+# * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ install|upgrade)
+ mkdir -p /lib/molly-guard
+
+ # Cleanup erroneous diversions added in 0.6.0
+ for cmd in pm-hibernate pm-suspend pm-suspend-hybrid ; do
+ dpkg-divert --package molly-guard --rename --remove /sbin/$cmd
+ done
+
+ for cmd in halt poweroff reboot shutdown coldreboot ; do
+ dpkg-divert --package molly-guard --divert /lib/molly-guard/$cmd --rename /sbin/$cmd
+ done
+
+ for cmd in pm-hibernate pm-suspend pm-suspend-hybrid ; do
+ dpkg-divert --package molly-guard --divert /lib/molly-guard/$cmd --rename /usr/sbin/$cmd
+ done
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0